%{?!_vpath_builddir:%define _vpath_builddir %{_target_platform}}

%if %{?cmake_build:1}%{?!cmake_build:0}
%global old_build 0
%else
%global old_build 1
%endif


Name:           hexchat-autoaway
Version:        2.0
Release:    1%{?dist}
Summary:        HexChat plugin that automatically mark you away

License:        GPLv3+
URL:            https://github.com/andreyv/hexchat-autoaway
Source0:        https://github.com/andreyv/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:         https://patch-diff.githubusercontent.com/raw/andreyv/hexchat-autoaway/pull/3.patch#/0001-append-away-suffix-to-nickname.patch

BuildRequires:  cmake3
BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  gtk2-devel >= 2.14
BuildRequires:  hexchat-devel
BuildRequires:  libXScrnSaver-devel
BuildRequires: make
Requires: gtk2 >= 2.14
Requires: hexchat

%description
This HexChat plugin will automatically mark you away when your
computer is idle. It works on systems that use the GTK+ X11
backend, such as GNU/Linux.

%prep
%autosetup -S git_am

%build
%if %old_build
mkdir -p %_vpath_builddir
cd %_vpath_builddir && %cmake3 -DCMAKE_BUILD_TYPE=Release ..
%make_build
cd -
%else
%cmake -DCMAKE_BUILD_TYPE=Release
%cmake_build
%endif

%install
%if %old_build
%make_install -C %_vpath_builddir
%else
%cmake_install
%endif

%files
%license COPYING
%doc README.md
%{_libdir}/hexchat/plugins/libautoaway.so

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0-1
- initial build
